Bug 1430468 - Parent tenant displayed in list view when allowed by RBAC
Summary: Parent tenant displayed in list view when allowed by RBAC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.3
Assignee: Libor Pichler
QA Contact: Aziza Karol
URL:
Whiteboard: rbac:cfme_tenant
Depends On: 1417874
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-08 16:46 UTC by Satoe Imaishi
Modified: 2017-06-28 14:57 UTC (History)
9 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1417874
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
parent tenant in list view (83.35 KB, image/png)
2017-03-30 16:44 UTC, Aziza Karol
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-03-10 21:11:05 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/478754435a3f5ecac8963336caaa948b497f4cc8

commit 478754435a3f5ecac8963336caaa948b497f4cc8
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Mar 8 10:34:21 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 10 16:07:18 2017 -0500

    Merge pull request #612 from lpichler/hide_parent_tenant
    
    Hide tenant parent name when user cannot see it
    (cherry picked from commit e66c843f12f5c6047ac1b53264cd012b09505b35)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1430468

 app/controllers/ops_controller/ops_rbac.rb | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

Comment 3 Aziza Karol 2017-03-30 16:42:52 UTC
Parent tenant is still getting displayed in list view. see attached screenshot

version:5.7.2.0.20170321181409_349f1b1

Comment 4 Aziza Karol 2017-03-30 16:44:05 UTC
Created attachment 1267617 [details]
parent tenant in list view

Comment 8 CFME Bot 2017-05-23 20:36:05 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a7b7c67022df663467027306ffd195983d9bfcaa

commit a7b7c67022df663467027306ffd195983d9bfcaa
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon May 22 12:54:10 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 23 16:34:21 2017 -0400

    Merge pull request #1391 from lpichler/dont_display_parent_tenant_name_neither_for_superadmin
    
    Hide tenant parent name when user(also with super_admin_role) cannot see it
    (cherry picked from commit 604092010bfb95cfcb197868b6c0f3f009016771)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1430468

 app/controllers/ops_controller/ops_rbac.rb | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

Comment 10 Aziza Karol 2017-06-09 11:09:16 UTC
Parent tenant not displayed in list view when allowed by RBAC.

Verified:5.7.3.1.20170608124102_4b35a9e

Comment 12 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.